<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/handsontable/7.2.2/handsontable.full.min.css">
  <style>
    .guide {
      padding: 50px;
    }
    .table {
      width:100%;
      font-family: system-ui, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen, Ubuntu, Cantarell, Droid Sans, Helvetica Neue;
    }
    .handsontable td {
      padding:6px 8px;
    }
    h1 {
      margin-bottom: 1rem;
      font-size: 300%;
      font-weight: 200;
    }
  </style>
</head>
<body>
  <div class="guide">
    <h1>마크업 현황판</h1>
    <div class="table"></div>
  </div>
  
  <script src="//cdnjs.cloudflare.com/ajax/libs/handsontable/7.2.2/handsontable.full.min.js"></script>
  <script>
    const container = document.querySelector('.table');
    const hot = new Handsontable(container, {
      data: [
        {
          name: '메인',
          url: '/index.html',
          date: '2020-01-21',
          mobile:'2020-01-21',
          etc: ''
        },
        {
          name: '소개',
          url: '/about/about01.html',
          date: '2020-01-15',
          mobile:'2020-01-17',
          etc: ''
        },
        {
          name: '소개',
          url: '/about/about02.html',
          date: '2020-01-15',
          mobile:'2020-01-17',
          etc: ''
        },
        {
          name: '소개',
          url: '/about/about03.html',
          date: '2020-01-15',
          mobile:'2020-01-17',
          etc: ''
        },
        {
          name: '서비스',
          url: '/service/service01.html',
          date: '2020-01-19',
          mobile:'2020-01-19',
          etc: ''
        },
        {
          name: '서비스',
          url: '/service/service02.html',
          date: '2020-01-19',
          mobile:'2020-01-19',
          etc: ''
        },
        {
          name: '서비스',
          url: '/service/service03.html',
          date: '2020-01-19',
          mobile:'2020-01-19',
          etc: ''
        },
        {
          name: '고객지원',
          url: '/customer/customer01.html',
          date: '2020-01-17',
          mobile:'2020-01-17',
          etc: ''
        },
        {
          name: '고객지원',
          url: '/customer/customer01_detail.html',
          date: '2020-01-17',
          mobile:'2020-01-17',
          etc: '상세'
        },
        {
          name: '고객지원',
          url: '/customer/customer02.html',
          date: '2020-01-17',
          mobile:'2020-01-17',
          etc: ''
        },
        {
          name: '공통 - 회원가입',
          url: '/join.html',
          date: '2020-01-20',
          mobile: '2020-01-20',
          etc: ''
        },
        {
          name: '공통 - 로그인',
          url: '/login.html',
          date: '2020-01-20',
          mobile: '2020-01-20',
          etc: ''
        },
        {
          name: '공통 - 컨펌',
          url: '/confirm.html',
          date: '2020-01-19',
          mobile: '2020-01-19',
          etc: ''
        },
        {
          name: '공통 - 개인정보처리방침',
          url: '/policy.html',
          date: '2020-01-19',
          mobile: '2020-01-19',
          etc: ''
        },
        {
          name: '공통 - 이메일 무단수집거부',
          url: '/email_terms.html',
          date: '2020-02-04',
          mobile: '2020-02-04',
          etc: ''
        },
        {
          name: '공통 - 이용약관',
          url: '/terms.html',
          date: '2020-01-19',
          mobile: '2020-01-19',
          etc: ''
        }
      ],
      columns: [
        {
          data: 'name',
          type: 'text'
        },
        {
          data: 'url',
          renderer: linkRenderer,
          readOnly: true
        },
        {
          data: 'date',
          type: 'text'
        },
        {
          data: 'mobile',
          type: 'text'
        },
        {
          data: 'etc',
          type: 'text'
        }
      ],
      colHeaders: [
        '페이지명',
        '페이지주소',
        '완료',
        'mo완료',
        '비고',
      ],
      mergeCells: [
        {
          row: 1,
          col: 0,
          rowspan: 3,
          colspan: 1,
        },
        {
          row: 4,
          col: 0,
          rowspan: 3,
          colspan: 1,
        },
        {
          row: 7,
          col: 0,
          rowspan: 3,
          colspan: 1,
        }
      ],
      stretchH: 'all',
      licenseKey: 'non-commercial-and-evaluation',
    });
  
    function linkRenderer(instance, td, row, col, prop, value, cellProperties) {
      var escaped = Handsontable.helper.stringify(value);
      var a = document.createElement('a');
      a.href = escaped;
      a.target = '_blank';
      a.innerText = escaped;
      if (td.children.length > 0) return;
      td.appendChild(a);
    }
  </script>
</body>
</html>


